/* jshint node: true */
'use strict';
const path = require('path');
const Funnel = require('broccoli-funnel');
const mergeTrees = require('broccoli-merge-trees');

module.exports = {
  name: 'ui-bootstrap',
  description: 'An Ember-flavoured Bootstrap 4.x eco-system',

  included(app, parentAddon) {
    this._super.included(app);
    this.target = (parentAddon || app);
    const bower = target.bowerDirectory;

    const o = app.options['ui-bootstrap'] || { js: false};
    target.import('vendor/ui-bootstrap/ui-bootstrap.css');


  },

  treeForStyles: function(){
    const bootstrapPath = path.join(this.bower, 'bootstrap/scss');
    const trees = [];
    const existingStyle = this._super.treeForStyles.apply(this, arguments);
    const bootstrap = new Funnel(bootstrapPath, {
      srcDir: '/',
      destDir: '/'
    });
    trees.push(bootstrap);
    if (existingStyle) {
      trees.push(existingStyle);
    }

    return mergeTrees(trees);
  },

  isDevelopingAddon: function () {
    return true;
  }
};
